Subject: Re: [PATCH 1/1] vhost: Protect the virtqueue from being cleared whilst still in use

From: Lee Jones <[email-masked]>
Date: Tue, 8 Mar 2022 08:01:32 +0000

On Mon, 07 Mar 2022, Michael S. Tsirkin wrote:

> On Mon, Mar 07, 2022 at 07:17:57PM +0000, Lee Jones wrote:
> > vhost_vsock_handle_tx_kick() already holds the mutex during its call
> > to vhost_get_vq_desc().  All we have to do here is take the same lock
> > during virtqueue clean-up and we mitigate the reported issues.
> 
> Pls just basically copy the code comment here. this is just confuses.
> 
> > Also WARN() as a precautionary measure.  The purpose of this is to
> > capture possible future race conditions which may pop up over time.
> > 
> > Link: https://syzkaller.appspot.com/bug?extid=279432d30d825e63ba00
> 
> And this is a bug we already fixed, right?

Well, this was the bug I set out to fix.

I didn't know your patch was in flight at the time.

> > Cc: <[email-masked]>
> > Reported-by: [email-masked]
> 
> not really applicable anymore ...

I can remove these if it helps.

-- 
Lee Jones [李琼斯]
Principal Technical Lead - Developer Services
Linaro.org │ Open source software for Arm SoCs
Follow Linaro: Facebook | Twitter | Blog